Bug 96420 - [PATCH] graphics/png: fix pkg-plist on FreeBSD before Dec 21, 2004
[PATCH] graphics/png: fix pkg-plist on FreeBSD before Dec 21, 2004
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Andrey A. Chernov
Depends on:
  Show dependency treegraph
Reported: 2006-04-27 17:20 UTC by rafan
Modified: 2006-04-29 02:07 UTC (History)
1 user (show)

See Also:

png-1.2.8_3.patch (1.54 KB, patch)
2006-04-27 17:20 UTC, rafan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rafan 2006-04-27 17:20:17 UTC
PR/96244 proposed to use the new favor NO_* and committed. However,
this only applied to FreeBSD after Dec 21, 2004, when NO* -> NO_*
conversion happens, bsd.compat.mk was added. 

For those 4.x, 5.x users, graphics/png will build a profiled library
libpng_p.a, so the pkg-plist is incomplete. In these versions,
bsd.lib.mk still uses NOPROFILE, not NO_PROFILE, for example.

Port maintainer (ache@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63

Fix: Set NO* or NO_* based on __FreeEBSD_version__. However, there is no
version for this conversion. So I choose the closed one, 600008, which
happend on Jan 25, 2005 (about one month later).

Tested on 4.11-RELEASE (492000), 5.5-PRERELEASE (504104), and
6.0-RELEASE (600034).

Also, make portlint(1) happy about PATCH_SITES.
Comment 1 Edwin Groothuis freebsd_committer 2006-04-27 17:24:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer
Comment 2 Andrey A. Chernov freebsd_committer 2006-04-29 02:07:12 UTC
State Changed
From-To: open->closed